Package tigase.server

## Enum ConnectionManager.WATCHDOG_PING_TYPE

- java.lang.Object
- - java.lang.Enum<ConnectionManager.WATCHDOG_PING_TYPE>
  - - tigase.server.ConnectionManager.WATCHDOG_PING_TYPE

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConnectionManager.WATCHDOG_PING_TYPE>`
  Enclosing class:
    ConnectionManager<IO extends XMPPIOService<?>>

      public static enum ConnectionManager.WATCHDOG_PING_TYPE
      extends java.lang.Enum<ConnectionManager.WATCHDOG_PING_TYPE>

  Holds possible types of ping to be used in watchdog service for detection of broken connections

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `WHITESPACE` |
    `XMPP` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConnectionManager.WATCHDOG_PING_TYPE` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConnectionManager.WATCHDOG_PING_TYPE[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WHITESPACE

          public static final ConnectionManager.WATCHDOG_PING_TYPE WHITESPACE

    - #### XMPP

          public static final ConnectionManager.WATCHDOG_PING_TYPE XMPP

  - ### Method Detail

    - #### values

          public static ConnectionManager.WATCHDOG_PING_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionManager.WATCHDOG_PING_TYPE c : ConnectionManager.WATCHDOG_PING_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionManager.WATCHDOG_PING_TYPE valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null